[TASK] Adjustments to TypoScript namespaces support

This adjusts the TypoScript service to set a default TypoScript
namespace.

Change-Id: I5238266b774e81d1053ed1f550e0f9012050dc4e
Related: #41005

Revision e5fcc42c - 2012-09-18 10:32 - Robert Lemke

[!!!][FEATURE] Namespaces support for TypoScript object types

This properly introduces namespaces support for TypoScript object types
and removes support for custom namespaces for processors.

The "namespace" declaration in a TypoScript template is now exclusively
declaring namespaces for TypoScript objects (not for processors).
Contrary to its earlier behavior, it expects a package key (by
convention) which corresponds to a namespace used in the prototype
definition elsewhere. PHP namespaces are not valid and any string
containing characters other than "a-z A-Z 0-9 ." will be rejected.

Namespace expansion is also supported in prototype definitions, thus
prototype(cms:Foo).@class … will be expanded to the correct namespace
if the namespace "cmd" has been declared elsewhere.

Change-Id: I99d1f08b2eb8a29719d8163325d96ed234c2d8f9
Resolves: #41005

History
#1 - 2012-09-17 15:37 - Robert Lemke
- Status changed from New to Accepted

#2 - 2012-09-17 15:40 - Robert Lemke
- Category set to Content Rendering
Currently namespaces are (kind of) supported for processors and partly for TypoScript object types.

To do:

    -  remove feature for namespace declarations for processors – for now only one hardcoded processor namespace is supported
    -  implement and document namespace support for TypoScript object types so that it's possible to declare custom and default namespaces

namespace: default=TYPO3.TYPO3
namespace: foo=Acme.Demo

page = Page
...

myObject = foo:Bar

#3 - 2012-09-17 15:42 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14660

#4 - 2012-09-17 17:05 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14660

#5 - 2012-09-17 22:15 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14660

#6 - 2012-09-17 22:24 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14660

#7 - 2012-09-18 08:38 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14660

#8 - 2012-09-18 08:43 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14660
#9 - 2012-09-18 08:51 - Robert Lemke
- Status changed from Accepted to Under Review

#10 - 2012-09-18 10:32 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14660

#11 - 2012-09-18 10:42 - Robert Lemke
- Status changed from Under Review to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

#12 - 2012-10-04 11:39 - Markus Goldbeck
- Status changed from Resolved to Closed
